package vip.xiaonuo.timer;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpHeXinService;
import vip.xiaonuo.erp.service.IErpKuCunService;

@Slf4j
@Component
public class ErpKuCunTimer implements CommonTimerTaskRunner {
    @Autowired
    private IErpKuCunService erpKuCun;

    @Override
    public void action() {

        erpKuCun.getYuanCaiLiaoKuCun();
        erpKuCun.getYangMaoZhiKuCun();
        erpKuCun.getYangMaoZhiGongYingShang();
        erpKuCun.getYuanCaiLiaoDangRi();
        erpKuCun.getChengPinDangRi();
        erpKuCun.getYangMaoZhiDangRi();
        erpKuCun.getYuanCaiLiaoChuKu();
        erpKuCun.getChengPinChuKu();
        erpKuCun.getYangMaoZhiChuKu();
        erpKuCun.getKuCunFenXi();
        erpKuCun.getChuKuShuLiang();
        erpKuCun.getWuLiaoMingXi();
        erpKuCun.getAnQuanKuCun();
        erpKuCun.getYangMaoZhiGongYingShangYueLeiJi();
    }
}
